# rowboz

A clone of the video game Chase/Robots written in Go. Primary goal is to deepen my knowledge and understanding of the Go programming language.

```
╔══════════════════════════════════════════════════════════════════════════════╗
║                                                                              ║
║                                                                              ║
║                +                                                             ║
║                                                                              ║
║        +                                                                     ║
║                           +      +                                           ║
║           +                                                                  ║
║  +                                                                           ║
║                                                                              ║
║                                                                           +  ║
║                                                                           +  ║
║                         +             @                                      ║
║                                                                      +       ║
║                                                                              ║
║                                                                              ║
║                +                                                             ║
║     +                                                                        ║
║                                 +                                            ║
║                                                                           +  ║
║                    +                                                         ║
║                                                                         +    ║
║                                                                              ║
╚════[ Score: 0 Level: 1 ]═════════════════════════════════════════════════════╝
```

## Gameplay
* As described here: https://en.wikipedia.org/wiki/Chase_(video_game)

## Technology
The tool will be written in Go exploring the following:
* Deepening my knowledge of Go routines
* Usage of channels
* Localities
* Interfaces
* Generics (if possible)

## Phases
### Step 1: Finish the game
* ~~Make the game in a functioning state~~
### Step 2: Split into modules
* ~~Split the game in separate module~~
### Step 3: Go routines
* Put robots in separate go routines and experiment with localities
### Step 4: Beautify the game
* Work on [#8](https://gitea.ligthert.net/golang/rowboz/issues/8), [#9](https://gitea.ligthert.net/golang/rowboz/issues/9), [#10](https://gitea.ligthert.net/golang/rowboz/issues/10) and make it something nice to look at.
